Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.schema.binding
Interface Deserializer

All Superinterfaces:
  Deserializer, DeserializerFactory, Serializable

    public interface Deserializer

extends Deserializer, DeserializerFactory

A Deserialzer is responsible for taking an xml instance of some Schema Type and creating and populating a corresponding Java Object.

Method Summary
`Object` | `deserialize(XMLName name, Attribute att, DeserializationContext context)` Take an XML instance, create and populate the corresponding Object.
`Object` | `deserialize(XMLName name, XMLInputStream reader, DeserializationContext context)` Take an XML instance, create and populate the corresponding Object.

Methods inherited from interface javax.xml.rpc.encoding.Deserializer
`getMechanismType`

Methods inherited from interface javax.xml.rpc.encoding.DeserializerFactory
`getDeserializerAs, getSupportedMechanismTypes`

Method Detail

### deserialize

    Object deserialize(XMLName name,
                       XMLInputStream reader,
                       DeserializationContext context)
                       throws DeserializationException

  Take an XML instance, create and populate the corresponding Object. `deserialize` may be called recusively as needed to build contained Objects thus building up the full graph of contained Objects.

  Parameters:
    `name` - The expected name of the XML element
    `reader` - The XML stream containing the XML to deserialize
    `DeserializationContext` - The context passed to each invocation
  Throws:
    `DeserializationException` - If an error occurs

### deserialize

    Object deserialize(XMLName name,
                       Attribute att,
                       DeserializationContext context)
                       throws DeserializationException

  Take an XML instance, create and populate the corresponding Object. `deserialize` may be called recusively as needed to build contained Objects thus building up the full graph of contained Objects.

  Parameters:
    `name` - The expected name of the XML element
    `att` - The attribute containing the value to deserialize
    `DeserializationContext` - The context passed to each invocation
  Throws:
    `DeserializationException` - If an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD